Subject: RE: what time is it, anyways ?
From: "Svensson, Paul" <[email-masked]>
To: "'Larry Hall (RFK Partners, Inc)'" <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Feb 2000 14:31:55 -0500

Larry Hall (RFK Partners, Inc) wrote:
>At 10:19 AM 2/24/00 , you wrote:
>>Just noticed that ftime() and gettimeofday() is returning garbage; I'm
>>getting dates in early 1970.
>>The output from ``date'', however, is correct.
>>I'm running vanilla unmodified 20.1; is there any point in me
investigating
>>further, or should I just upgrade ?
>>
>
>Try upgrading first.  There were changes to address time issues since B20.1
>was released.

Ok, I replaced cygwin1.dll with the Feb 23rd snapshot, and that seems to
have fixed the problem.
Only glitch I found so far is that fgets() from an empty file now sets errno
to ENOSYS,
but I can work around that. (Non-empty files work fine).
Also, localtime() sets errno to ENOENT, even tho it succeeds, but I think
that's allowed ?

	/Paul

--
Want to unsubscribe from this list?
Send a message to [email-masked]